Summary:	Client and server for sending messages to a host's logged in users
Name:		rwall
Version:	0.17
Release:	%mkrel 11
License:	BSD
Group:		System/Servers
Source:		ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rwall-%version.tar.bz2
Source1:	rwalld.init
Patch0:		netkit-rwalld-0.10-banner.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The rwall command sends a message to all of the users logged into a specified
host.  Actually, your machine's rwall client sends the message to the rwall
daemon running on the specified host, and the rwall daemon relays the message
to all of the users logged in to that host.  The rwall daemon is run from
/etc/inetd.conf and is disabled by default on Mandrakelinux systems (it can be
very annoying to keep getting all those messages when you're trying to play
Quake--I mean trying to get some work done).

Install rwall if you'd like the ability to send messages to users logged in to
a specified host machine.

%prep

%setup -q -n netkit-rwall-%version
%patch0 -p1

%build
%serverbuild
CC="gcc" CFLAGS="$RPM_OPT_FLAGS" ./configure
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man{1,8}

%makeinstall INSTALLROOT=%{buildroot} MANDIR=%{_mandir}
install -m 755 %{SOURCE1} -D %{buildroot}%{_initrddir}/rwalld

rm %{buildroot}%{_mandir}/man8/rwalld.8
ln -s rpc.rwalld.8 %{buildroot}%{_mandir}/man8/rwalld.8

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*
 
%post
%_post_service rwalld

%preun
%_preun_service rwalld

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_initrddir}/rwalld
%{_bindir}/rwall
%{_sbindir}/rpc.rwalld
%{_mandir}/man8/rpc.rwalld.8*
%{_mandir}/man8/rwalld.8*
%{_mandir}/man1/rwall.1*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-11mdv2007.1
+ Revision: 145467
- Import rwall



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-11mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.17-10mdk
- Rebuild

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-9mdk
- fix typo in init script
- quiet rpmlint

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.17-8mdk
- s/Red Hat/Mandrake/ (from Ben Reser)
- quiet setup
- use %%make macro

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.17-7mdk
- cleanups
- use gcc
- s/Copyright/License/
- don't use $RPM_SOURCE_DIR

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.17-6mdk
- use new server macros
- initscripts as config(noreplace)

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-5mdk
- rwalld.init : only runlevel 3 4 5

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-4mdk
- oops, fix a typo

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-3mdk
- chkconfig --del moved to %preun
- Added a reload section to rwalld.init

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-2mdk
- rebuild for the use of the _initrddir macro.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version
- use _sysconfdir and _sbindir macro (titisck)

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- let spechelper compress & strip
- BM, macros

* Thu Apr 12 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-1mdk
- 0.16

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (didn't include function library)
- doesn't invoke wall with -n anymore

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added a chkconfig compatible initscript
- added %attr attributes

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
